OGRE: Ogre::ShadowNodeHelper::ShadowParam Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ShadowNodeHelper::ShadowParam Struct Reference

`#include <OgreCompositorShadowNode.h>`

## Public Member Functions
void | addLightType (Light::LightTypes lightType)
| See Light::LightTypes. More...

## Public Attributes
uint8 | atlasId
| What texture atlas to use. More...
Resolution | atlasStart [4]
| In pixels, start of the texture (XY). More...
uint8 | numPssmSplits
| Number of PSSM splits. In range [2; 4]. Ignored for non-PSSM techniques. More...
Resolution | resolution [4]
uint32 | supportedLightTypes
| Bitmask OR of e.g. More...
ShadowMapTechniques | technique
| Technique to use. More...

## Member Function Documentation

## ◆ addLightType()

void Ogre::ShadowNodeHelper::ShadowParam::addLightType | ( | Light::LightTypes | lightType | ) |

See Light::LightTypes.

## Member Data Documentation

## ◆ atlasId

uint8 Ogre::ShadowNodeHelper::ShadowParam::atlasId

What texture atlas to use.

Should be in range [0; numShadowParam) You can have all shadow maps share the same shadow map if you want. Don't leave gaps (e.g. use atlasId = 0 and atlasId = 2, but not atlasId = 1)

## ◆ atlasStart

Resolution Ogre::ShadowNodeHelper::ShadowParam::atlasStart[4]

In pixels, start of the texture (XY).

One for each PSSM split. When not using PSSM, entries in range [1; 4) are ignored. Be careful not to overlap within the same atlasId.

## ◆ numPssmSplits

uint8 Ogre::ShadowNodeHelper::ShadowParam::numPssmSplits

Number of PSSM splits. In range [2; 4]. Ignored for non-PSSM techniques.

## ◆ resolution

Resolution Ogre::ShadowNodeHelper::ShadowParam::resolution[4]

## ◆ supportedLightTypes

uint32 Ogre::ShadowNodeHelper::ShadowParam::supportedLightTypes

Bitmask OR of e.g.

(1u << LT_DIRECTIONAL) | (1u << LT_POINT) | (1u << LT_SPOTLIGHT)

## ◆ technique

ShadowMapTechniques Ogre::ShadowNodeHelper::ShadowParam::technique

Technique to use.

The documentation for this struct was generated from the following file:

- OgreCompositorShadowNode.h